/*
Theme Name: Swepac-hello
Theme URI: https://swepac.com
Description: This is a custom child theme based on hello-elementor.
Author: Fredrik Beckman
URI: https://hojt.se
Template: hello-elementor
Version: 1.0
*/
/* typography */
p.elementor-heading-title,
.single-line p{
  margin-bottom: 0;
}
.elementor-toggle .elementor-tab-content li{
  margin-bottom: 0.5em;
}
ul.remove {
  list-style: none; /* Remove default bullets */
}

ul.remove li::before {
  content: "\2022";  /* Add content: \2022 is the CSS Code/unicode for a bullet */
  color: #7F7F7F; /* Change the color */
  font-weight: bold; /* If you want it to be bold */
  display: inline-block; /* Needed to add space between the bullet and the text */
  width: 1em; /* Also needed for space (tweak if needed) */
  margin-left: -1em; /* Also needed for space (tweak if needed) */
}
header ul li::before, .header ul li::before,
footer ul li::before, .elementor-location-footer ul li::before,
ul.elementor-post-info li::before{
  display: none;
}

.elementor-30 .elementor-element.elementor-element-9d449e2:not(.elementor-search-form--skin-full_screen) .elementor-search-form__container:hover{
  background-color:#D7D8D6!important;
  color:#475258!important;
}


/* BUTTONS */

a.elementor-cta__button:hover,
a.elementor-button-link:hover,
.woocommerce .button:hover,
.woocommerce button.button.alt:hover{
  text-decoration: none!important;
  color:#e03739;
  background-color: #475258;
}
.woocommerce button.single_add_to_cart_button.button:hover,
.woocommerce .button.add_to_cart_button:hover{
  background-color:#e03739!important;
  color:#ffffff!important;
}
.elementor-cta--skin-classic .elementor-cta__button.elementor-button,
.elementor-button,
.woocommerce .button,
.woocommerce button.button.alt,
.woocommerce a.button {
  font-weight: 400;
  font-size: 1em;
  text-transform: uppercase;
  border-radius: 10px!important;
  border-style: none;
  padding: 12px 24px;
  color: #D7D8D6;
  background-color: #2D353E;
}
.elementor-cta--skin-classic .elementor-cta__button.elementor-button a,
.elementor-button a{
    color: #D7D8D6;
}
.elementor-cta--skin-classic .elementor-cta__button.elementor-button:hover,
.elementor-button:hover{
  background-color: #475258;
}

a.elementor-toggle-title{
  color: #475258!important;
}
.elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce a.woocommerce-Button.button {
    color: var(--e-global-color-50a4a40);
    display: none;
}

button.leasenow_tooltip.leasenow_button{
  background-color: #F2F2F287!important;
  float:right;
}

/**** language control ***********/
.hide-en:lang(en),
.hide-sv:lang(sv),
.hide-pl:lang(pl),
.hide-de:lang(de)
 {
  display: none !important;
}



#swepac-menu .nav_item,
.nav-item-no-submenu{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
  font-size: 16px;
  text-transform: uppercase;
  color: #D7D8D6;
  letter-spacing: 1.4px;
  padding-bottom: 13px;
}
#swepac-menu .nav_item:after{
  font-family: "Font Awesome 5 Free";
      font-weight: 600;
        content: "\f107";
padding-left:8px;
margin-right: 20px;
line-height: 1;
}
#swepac-menu .nav_item:hover,
#swepac-menu .nav_item:focus,
.nav-item-no-submenu a:hover,
.nav-item-no-submenu a:focus,
#menu-products-item.active,
#menu-aftermarket-item.active,
#menu-about-item.active{
  font-weight: 600!important;
  color:#E03739!important;
  cursor: pointer;
}

#swepac-menu .menu_content{
  transition-duration: 600ms;

    position: absolute;
    top:60px;
    opacity: 0;
    pointer-events: none;
    font-size: 16px;
    width:400px;
    overflow-y: visible;

}
#swepac-menu .menu_content .elementor-column{
  box-shadow: 0 2px 5px rgb(0 0 0 / 35%);
      padding: 20px 0;
      background-color: #475258;
}
#swepac-menu .menu_content:hover,
#swepac-menu .menu_content:focus,
#swepac-menu .menu_content:focus-within{
    opacity: 1;
    pointer-events: visible;

}
#swepac-menu .menu_content:not(:hover){
    opacity: 0;
    pointer-events: none;
}

#swepac-menu .nav_item:hover + .menu_content,
#swepac-menu .nav_item:focus-within + .menu_content {
    opacity: 1;
    pointer-events: visible;

}

#menu-products{
  left:0;
}

#menu-aftermarket{
  left:150px;
}

#menu-about{
  left:460px;
}

#menu-shop{
  left:0;
}


#swepac-menu .elementor-heading-title a{
  display: block;
  font-size: 16px;
  font-weight: 200;
  color: #D7D8D6;
  padding: 0 20px 5px 20px;
}
#swepac-menu .elementor-heading-title a:hover,
#swepac-menu a.elementor-toggle-title:hover{
  font-weight: 600;
  color:#ffffff;
  text-decoration: none;
}
#swepac-menu a.elementor-toggle-title{
  font-size: 16px;
  font-weight: 200;
  color: #D7D8D6!important;
  padding: 10px;
}
#swepac-menu .elementor-toggle .elementor-tab-title{
    padding: 20px 20px 0 7px;
    border: none;
}
#swepac-menu a.elementor-toggle-title:hover,
#swepac-menu .elementor-toggle .elementor-active a.elementor-toggle-title{
  font-weight: 400!important;
  color: white!important;
}
#swepac-menu .menu-toggle ul li a:before{
  content: "-";
  padding-right: 8px;
}
#swepac-menu .menu-toggle ul li a{
  font-size: 14px;
  color: #D7D8D6;
  font-weight: 200;
  text-decoration: none;
}
#swepac-menu .menu-toggle ul li a:hover{
  font-weight: 400;
  color: white!important;
}
#swepac-menu .elementor-toggle .elementor-tab-content {
  padding: 10px 0 0 0;
  margin-left: -10px;
    border: none;
}

#menu-main .elementor-item:hover {
	font-weight: 600;
}


/* downloads */
.sp-download-buttons .button-flag{
  float: left;
  margin:5px;
  padding: 0;
  background-color: inherit;
}
.current-language .sp-download-buttons .button-flag {
  float: none;
}

.button-flag a.download-btn{
  border:solid 1px #D7D8D6;
  background: url('/wp-content/uploads/2020/09/download-button.png') no-repeat right bottom,  #D7D8D6;
  padding:10px 20px;
}
.current-language .button-flag a.download-btn{
  padding:20px 30px;
}
.button-flag a.download-btn img{
  width:24px;
}
.other-language .flag-en:lang(en),
.other-language .flag-sv:lang(sv),
.other-language .flag-pl:lang(pl)
 {
  display: none !important;
}

.download-category-block{
  display: inline-grid;
  margin-right: 20px;
}
.download-title{
  text-transform: capitalize;
  text-align: center;
  padding: 10px;
}

h3.download-list-title-manuals{
  display: block;
  font-weight: 600;
  border-bottom: 1px solid #231F20;
  margin-left: 10px;
}
h3.download-list-title-product-sheets{
  font-weight: 600;
  border-bottom: 1px solid #231F20;
  margin-left: 10px;
}


.download-list-manuals{
  display: inline-block;
  margin-bottom: 20px;
  width: 96%;
}


.download-list-product-sheets{
  display: inline-block;
  width:96%;
}

@media (min-width: 769px) {
  .download-list-product-sheets{
    display: flex;
    }
  h3.download-list-title-product-sheets{
    width:70%;
  }
}

.download-list-manuals .button-flag a.download-btn,
.download-list-product-sheets .button-flag a.download-btn{
  border:solid 1px #D7D8D6;
  background: #D7D8D6;
  padding:3px;
}


/* CARDS */

.card{
  visibility: visible!important;
  margin:5px 15px;
  overflow: hidden;
  position: relative;
  background-color: #fff;
  width: 100%;
  border-radius: 3px;
  border: 0 solid #818a91;
  -webkit-box-shadow:  0 1px 1px rgba(0,0,0,0.15),
              0 2px 2px rgba(0,0,0,0.15),
              0 4px 4px rgba(0,0,0,0.15),
              0 8px 8px rgba(0,0,0,0.15);
  box-shadow:  0 1px 1px rgba(0,0,0,0.15),
              0 2px 2px rgba(0,0,0,0.15),
              0 4px 4px rgba(0,0,0,0.15),
              0 8px 8px rgba(0,0,0,0.15);
  -webkit-transition: all .25s;
  -o-transition: all .25s;
  transition: all .25s;
  min-height: 180px;
}

.card-wrapper{
  visibility: visible!important;
  overflow: hidden;
  position: relative;
  background-color: #fff;
  width: 92%;
  border-radius: 3px;
  border: 0 solid #818a91;
  -webkit-box-shadow:  0 1px 1px rgba(0,0,0,0.15),
              0 2px 2px rgba(0,0,0,0.15),
              0 4px 4px rgba(0,0,0,0.15),
              0 8px 8px rgba(0,0,0,0.15);
  box-shadow:  0 1px 1px rgba(0,0,0,0.15),
              0 2px 2px rgba(0,0,0,0.15),
              0 4px 4px rgba(0,0,0,0.15),
              0 8px 8px rgba(0,0,0,0.15);
  -webkit-transition: all .25s;
  -o-transition: all .25s;
  transition: all .25s;
  min-height: 180px;
}

.product-group-cards .ecs-post-loop{
  visibility: hidden;
  margin:10px;
  overflow: hidden;
  position: relative;
  width: 92%;
}
.product-group-card{
  margin:5px;
  height:220px;
}
.product-group-card .elementor-text-editor{
  min-height: 80px;
  display: flex;
  align-items: center;
}
.product-group-card p{
  margin-bottom:10px;
}
.card-section{
  background-color: rgba(204,204,204,0.2);
  Padding:120px 0px;
}
.card:hover,
.card-wrapper:hover{
      transform: scale(1.01);
      box-shadow: 0 2px 2px rgba(0,0,0,0.15),
              0 4px 4px rgba(0,0,0,0.15),
              0 8px 8px rgba(0,0,0,0.15),
              0 12px 12px rgba(0,0,0,0.15);
}

.product-card img{
  margin-top:-70px;
  height: 160px!important;
  width: auto;
}
.home .product-card img{
  margin-top:0;
}
.product-card h3{
  font-weight: 600;
  font-size: 1.3em;
  text-align: center;
}
.product-card .card-tags{
  z-index: 9;
  height:80px;
  color:#C00000;
  margin:0;
  padding:0;
  font-size: 0.8em;

}
.product-card,
.product-card .card-tags-left,
.product-card .card-tags-right{
  margin: 0;
  padding: 0;
}
.product-card .card-tags-right{
  text-align: right;
}

/* contact boxes */

.contact-box p{
  margin:0!important;
}

.contact-box a{
  color: #878A8F;
}
.contact-box a:hover{
  text-decoration: none!important;
  color:#e03739!important;
}
/* product page */

.elementor-skin-slideshow .elementor-thumbnails-swiper .swiper-slide .elementor-fit-aspect-ratio{
  padding-bottom: 100%;
}

.wcb2b_login_message{
  font-size: 0.9em;
  font-weight: 600;
  width: 160px;
  margin-left: 10px;
  margin-top: 10px;
}
.techspec {
  min-height:180px
}
/* product specification tables */
.techspec td{
  line-height: 1em;
  font-weight: 400;
  letter-spacing: 1px;
  border:none;
  background-color: none!important;
  padding: 0.5em 0;
  margin:0;
  width:50%;
  font-size: 0.7em;
}
.card-wrapper .techspec td{
  font-size: 0.65em;
  padding: 0.4em 0;
}
.card-wrapper .techspec{
  padding: 0;
  margin: 0 5px;
  width: 96%;
}

.techspec tr{
  background-color: none;
  border-bottom: solid 1px #E9E5E5;
  padding: 0;
  margin: 0;
}
table.techspec tbody > tr:nth-child(odd) > td, table.techspec tbody > tr:nth-child(odd) > th,
table.techspec tbody tr:hover > td, table.techspec tbody tr:hover > th {
    background: none!important;
}

/* support page */

.support-video-toggle{
  border-radius: 10px!important;
  padding: 0 0 0 10px;
  background-color: #D7D8D6;
  border: 1px solid #D7D8D6;
}
.support-video-toggle .elementor-toggle .elementor-tab-title{
  padding:10px 10px 10px 20px;
}
.support-video-toggle p{
  margin:0;
}
.distributor-toggle p{
  margin:1em 0 0 1em;
}
.distributor-toggle hr{
  margin:1em 0;
}
.support-video-toggle ul{
  list-style:none ;
  padding-inline-start: 20px;
  margin-top:10px;
}
.support-video-toggle ul a:hover{
  text-decoration: none!important;
}
.support-video-toggle li::before{
  content: "-"!important;
  border-bottom: 1px solid #2D353E!important;
}

.support-video-toggle li{
  display: block;
  width:100%;
}
.support-video-toggle li a{
  display: inline-block;
  border-bottom: 1px solid #2D353E!important;
  border-radius: 0 0 5px 0;
  width:95%;
  background-image: url('/wp-content/uploads/icon-video.svg');
  background-position: right;
  background-repeat: no-repeat;
  color: #231F20;
}

/*make the whole box a clickable link*/
.elementor-widget-icon-box a:after,
.elementor-widget-image-box a:after {
  content: "";
  display: block !IMPORTANT;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}
.video-list-item{
  margin-bottom:10px!important;
  margin-top:5px!important;
}
.video-list-item .elementor-icon svg{
  width:0.6em;
  height:0.6em;
}
.video-list-item a{
  font-weight: 400;
  line-height: 12px;
}
.video-list-item a:hover{
  text-decoration: none;
  font-weight: bold;
}
.support-video-toggle .elementor-widget-heading {
  font-weight: bold!important;
  margin: 0!important;
}
.video-list-item .elementor-icon-box-content{
  text-align: justify;
  border-bottom: 1px solid #000000;
}
/*responsive

.elementor-icon-box-icon{
  display: none;
}*/


/* News page */
.news-section{
  background-color: #E1E2E0;
  border-top: double 2px #2D353E;
}
.news-section .elementor-element-populated{
    padding: 10px 40px 40px 40px!important;

}
/*alternate between the two sections with different column order */
article:nth-of-type(odd) .news-section.even,
article:nth-of-type(even) .news-section.odd {
  display: none;
}

.news-section .news-content,
.news-section .news-content .elementor-container {
  min-height: 100%;
  align-items: center;
  margin-top: -10px;
}
.news-section .image-column .elementor-element-populated,
.news-section .news-content .elementor-element-populated{
    padding: 0!important;
}
.news-section .elementor-widget-post-info{
  font-size: 0.7em;
  font-weight: 400;
}
.news-section h2{
  font-size: 1.2em;
  font-weight: 600;
  text-transform: uppercase;
}


/* woocommerce */

p.return-to-shop,
a.restore-item{
  display: none;
}
.elementor-menu-cart__product-image {
    grid-row-end: 4;
}

.elementor-menu-cart__subtotal:after{
  content: 'Cena netto';
  display: block;
  font-weight: normal;
  font-size: 0.7em;
}

.woocommerce-variation-price{
  margin: 20px 0;
  text-align: right;
}

.woocommerce-variation-price span.price,
p.price,
p.price-vat,
p.price-and-vat{
  font-size: 0.8em;
  font-weight: 600;
  margin-bottom: 0;
  color: var(--e-global-color-secondary );
}

p.price-vat{
  font-size: 0.6em!important;
}
.elementor-widget-woocommerce-cart .woocommerce table.cart td span {
  font-size: inherit;
}
p.iworks-omnibus{
  font-size: 0.6em!important;
  font-weight: 600;
}
.product_cat-accessories a p.iworks-omnibus{
  color: var(--e-global-color-secondary )!important;
} 
.cross-sells .prodinfo p{
  display: none;
}
.cross-sells a.woocommerce-loop-product__link{
  flex-direction: column!important;
}
.cross-sells .product-price-wrapper{
  margin-left: 30px;
}

.cross-sells .product-price-wrapper .price{
  font-size: 0.8em!important;
  font-weight: 600!important;
  margin-bottom: 0!important;
  margin-left: 0!important;
  color: var(--e-global-color-secondary )!important;
}


/* My account */

.woocommerce-MyAccount-navigation-link--downloads,
.elementor-widget-woocommerce-my-account ul li::before{
  display:none!important;
}

.woocommerce-account .addresses .title .edit {
    float: left!important;
}

/* register */
.gbyp_checkboxes_div_wrapper > p {
    font-size: 1.2rem;
    margin: 0;
    line-height: 1rem;
    color: var(--e-global-color-primary )!important;
}

/* single product */
.wcb2b-rrp{
  font-size: 0.9rem!important;
}

.woocommerce-MyAccount-navigation a{
  text-transform: uppercase;
  font-size: 1.2rem;
  font-weight: 900;
  color: var( --e-global-color-primary );
}
.woocommerce-MyAccount-navigation ul li::before{
  display: none;
  width: 1em;
  margin-left: -1em;
  }

.woocommerce-MyAccount-navigation a:hover,
.woocommerce-MyAccount-navigation li.is-active a{
  color: var( --e-global-color-73fea7e );
  text-decoration: none;
}
.woocommerce-MyAccount-navigation li{
  padding: 5px;
}
.woocommerce-MyAccount-navigation li.is-active{
  background-color: var( --e-global-color-50a4a40 );
}


.elementor-widget-woocommerce-my-account {
    font-family: inherit;

}

.woofs-products .woofs-product > td{
  vertical-align: top;
}
.woofs-text, .woofs-product{
  font-family: var( --e-global-typography-03c2aed-font-family ), Sans-serif;
  font-size: var( --e-global-typography-03c2aed-font-size );
  font-weight: var( --e-global-typography-03c2aed-font-weight );
  line-height: var( --e-global-typography-03c2aed-line-height );
  letter-spacing: var( --e-global-typography-03c2aed-letter-spacing );
  word-spacing: var( --e-global-typography-03c2aed-word-spacing );
}
.woofs-price .wcb2b-rrp{
  font-weight: 300;
  font-size: 0.8rem;
}
.woofs-before-text{
  font-family: var( --e-global-typography-dc258c2-font-family ), Sans-serif;
  font-size: var( --e-global-typography-dc258c2-font-size );
  font-weight: var( --e-global-typography-dc258c2-font-weight );
  line-height: var( --e-global-typography-dc258c2-line-height );
  letter-spacing: var( --e-global-typography-dc258c2-letter-spacing );
  word-spacing: var( --e-global-typography-dc258c2-word-spacing );
}
.woofs-alert {
  font-size: 0.8rem;
  letter-spacing: normal;
}
.woofs-products .woofs-product .variations_form .variations .variation .select select{
  padding: 5px 16px 5px 5px;
}
.woofs-additional,
.woofs-total {
  text-align: right;
}
.leasenow_button{
  text-align: right;
}

/**************** cart **********************/

.woocommerce-placeholder{
  display: none!important;

}

/************** checkout *********/
ul.order_details,
#content_blik_code{
  max-width: 1200px;
  margin: auto!important;
}

/* hide elementor coupon that we have replaced with a translated coupon box */
.e-checkout__column-inner > .e-coupon-box{
  display: none!important;
}

/*media queries */

@media (min-width: 769px) {
  .card{
  min-height: 100%;
}
.product-group-card{
  width:390px!important;
}
}
@media (min-width: 960px){

}


[data-elementor-type="wp-page"], [data-elementor-type="wp-single"], [data-elementor-type="single-page"], [data-elementor-type="product"] {
	background-image:url('/wp-content/themes/swepac-hello/swepac-bg.svg');
	background-size:cover;
	background-position:center;
	background-repeat:repeat-y;
}

.elementor-icon-list-text a{
	text-decoration:none!important;
}
.swepac-categories-grid-wrapper {
	display:grid;
	gap:20px;
	grid-template-columns:1fr 1fr;
	align-items:stretch
		
}
.swepac-category-box {
	display:grid;
	grid-template-columns: 1fr 3fr;
	border-radius:12px;
	border:2px solid #e5e7eb;
	padding:10px;
	gap:10px;
	justify-content:center;
	align-items:center
	background: #F9FAFB

}
.swepac-category-image {
	grid-column: 1;
	display:flex;
	justify-content:center;
	align-items:center;
	width:80px;
	height:80px;
	background:#fff;
}
.swepac-category-image img {
	width:100%;
	height:100%;
	object-fit:contain;
	object-position:center;
}
.swepac-category-title{
	color: #2D353E;

font-family: "Open Sans";
font-size: 18px;
font-style: normal;
font-weight: 600!important;
line-height: 22px; /* 140% */
	margin:0 0 10px 0;
}
.swepac-category-arrow {
	margin-left:10px;
}
.swepac-category-button {
	font-size:14px!important;
	font-weight:600!important;
	display:flex;
	justify-content:center;
}
.swepac-category-arrow {
	display:flex;
	justify-content:center;
	align-items:center;
}
.swepac-category-arrow svg {
	height:14px;
	width:14px;
}
.swepac-category-content{
	display:flex;
	flex-direction:column;
	align-items:start;
	justify-content:center;
}
.elementor-widget-container > .e-n-accordion > .e-n-accordion-item  > .e-con {
	border:0!important
}
 